.modal__backdrop {
  position: fixed;
  top: 0; right: 0; bottom: 0; left: 0;
  background: rgba(0,0,0,.5);
  opacity: 0;
  z-index: 1050;
  pointer-events: none;
  transition: opacity 0.2s ease-in;
}

.modal__content {
  position: relative;
  width: auto;
  font-size: 14px;
  font-weight: 400;
  margin: 50% 2%;
  transition: opacity 0.3s ease-in;
  display: flex;
  flex-direction: column;
  background-color: #fff;
  background-clip: padding-box;
  border-radius: 20px;
  box-shadow: 0 0 7px 0 rgba(0,0,0,.3);
}

@media (min-width: 576px) {
  .modal__content {
    max-width: 500px;
    margin: 10% auto;
  }
}

.modal__show .modal__backdrop,
.modal__show .modal__content {
  opacity: 1;
  pointer-events: auto;
  overflow-y: auto;
}

.modal__body {
  position: relative;
  flex: 1 1 auto;
  padding: 15px;
  overflow: auto;
}

.modal__btn-close {
  padding: 10px 8px;
  text-align: center;
  background-color: #3b5998;
  background-image: linear-gradient(center top, #0c98c5, #0c98c5);
  border: 0 solid #4ec8ef;
  text-shadow: 0 0 rgba(0,0,0,.1);
  border-radius: 1px;
  cursor: default;
  color: #fff;
  font-size: 20px;
  font-weight: 700;
  display: block;
}

.modal__btn-close:hover,
.modal__btn-close:focus {
  color: #000;
  opacity: .75;
  cursor: pointer;
}